Subject: Re: git gui: Possible to see which commands are executed?

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 20 May 2008 22:41:26 -0400

Junio C Hamano <[email-masked]> wrote:
> > Sverre Rabbelier <[email-masked]> wrote:
> >> 
> >> Ah, I didn't realise git-gui does stuff that you can't really do
> >> through the regular porcelain. In that case it would indeed be
> >> impossible to print the regular porcelain commands. I think the
> >> '--trace' option should be advertised as 'debugging option' so that
> >> the user can see what is going on in the case something goes wrong
> >> perhaps?
> 
> Probably --trace should be renamed to --debug then?

Well, we do have GIT_TRACE, and git-gui --trace is sort of the
same idea.  :-)

I was going to call it --debug, but went with --trace as it is
closer to GIT_TRACE than it is to say git-describe --debug.

-- 
Shawn.